Summary:	A modern multi-purpose calculator library
Summary(pl.UTF-8):	Nowoczesna, wielozadaniowa biblioteka kalkulatora
Name:		libqalculate
Version:	5.6.0
Release:	1
License:	GPL
Group:		Libraries
Source0:	https://github.com/Qalculate/libqalculate/releases/download/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	05fb0705591af985b76dd48cd078f035
URL:		https://qalculate.github.io/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	cln-devel >= 1.3
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.0.0
BuildRequires:	intltool
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.5
BuildRequires:	libxml2-devel >= 1:2.3.8
BuildRequires:	mpfr-devel
BuildRequires:	ncurses-devel
BuildRequires:	pkgconfig
BuildRequires:	readline-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A modern multi-purpose calculator library.

%description -l pl.UTF-8
Nowoczesna, wielozadaniowa biblioteka kalkulatora.

%package devel
Summary:	Header files for qalculate library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki qalculate
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	cln-devel >= 1.1
Requires:	glib2-devel >= 1:2.0.0
Requires:	libxml2-devel >= 1:2.3.8

%description devel
Header files for qalculate library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki qalculate.

%package static
Summary:	Static qalculate library
Summary(pl.UTF-8):	Statyczna biblioteka qalculate
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static qalculate library.

%description static -l pl.UTF-8
Statyczna biblioteka qalculate.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted my .pc file
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libqalculate.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/qalc
%attr(755,root,root) %{_libdir}/libqalculate.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libqalculate.so.23
%{_datadir}/qalculate
%{_mandir}/man1/qalc.1*
%{_docdir}/libqalculate/

%files devel
%defattr(644,root,root,755)
%{_libdir}/libqalculate.so
%{_includedir}/%{name}
%{_pkgconfigdir}/libqalculate.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libqalculate.a
%changelog
* Mon Jun 30 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libqalculate.git;a=log;h=master

* Mon Jun 30 2025 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 132678f
- up to 5.6.0

* Thu Mar 06 2025 Krzysztof Mrozowicz <mrozowik@pld-linux.org> d5f30ed
- up to 5.5.2

* Thu Jan 23 2025 Krzysztof Mrozowicz <mrozowik@pld-linux.org> c8cc00e
- up to 5.5.0

* Fri Jan 17 2025 Jan Palus <atler@pld-linux.org> 0acff59
- icu 76 rebuild

* Tue Nov 26 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 613f646
- up to 5.4.0

* Wed Nov 06 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> def80d4
- up to 5.3.0

* Tue Jul 02 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 6e336cb
- up to 5.2.0

* Tue May 07 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 4b8dc1c
- up to 5.1.1

* Tue Mar 12 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> de8a341
- up to 5.0.0

* Tue Nov 28 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> fc727e0
- up to 4.9.0

* Tue Aug 22 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> fc8145e
- up to 4.8.0

* Tue Jul 04 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 47e27c5
- up to 4.7.0

* Fri Jun 30 2023 Jan Palus <atler@pld-linux.org> 3452fb5
- icu rebuild

* Mon Apr 17 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> e376e31
- up to 4.6.1

* Tue Mar 07 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> fa8e529
- up to 4.6.0

* Thu Feb 16 2023 Jan Palus <atler@pld-linux.org> fe4c4c2
- icu rebuild

* Tue Jan 24 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 56dc8ef
- up to 4.5.1

* Thu Oct 13 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 6c8a9c1
- BR: mpfr-devel; typo

* Thu Oct 13 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 7fa71e6
- typo?

* Thu Oct 13 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 980b3f9
- adding unpackaged files

